Subject: Re: [SPIRITS] WG Last Call annoncement - Pre-SPIRITS Current PracticeDocument

From: [email-masked]
Date: Fri, 19 May 2000 15:16:19 +0200

Hi Jinkyung,

Thanks for the quick answer and clarifications.

I had not noticed that the BYE after an accepted call was not sent to the
ICW Client, but just to the ICW Server (sorry), so
you are right: it can be sent. No BYE is sent to the ICW Client, but there
is no need for it, since the call has been already
released, right?.

After your explanation, now I understand why you send BYE at the end of the
call (to notify the call processing results).
I also understand that you send BYE as a response to a "303, See Other"
with this purpose (is not needed from a
SIP point of view, as far as I know).

In regards to my PINT comment, what I meant is that I was not clear which
PINT specific additions to SIP you were
using in your ICW Implementation.

Again, I would like to thank your contribution and I send you my
congratulations for your ICW work.

Regards,

Jorge Gato
IN & Switching Evolution
Airtel Movil

황진경 <[email-masked]>@lists.bell-labs.com con fecha 19/05/2000 14:45:15

Por favor, responda a [email-masked]

Enviado por:   [email-masked]

Asunto:   Re: [SPIRITS] WG Last Call annoncement - Pre-SPIRITS Current
          PracticeDocument

Thank you Mr. Jorge Gato for your kind comments.

I agree that some parts of it (Via, Cseq) are not clearly described, and I
will
fix and resend it to the editor ( thank you again, editors).

But your mention of BYE, I think it is not sent to the disconnected
Internet user
but to ICW server from SCGF for recording call completion results.
And the other regard of BYE, we change original definition of BYE and add a
function to deliver the call processing results on its body. It's one of
our
intention that there may(should ?) be some changes for this 'call results
delivery mechanism' in the SPIRITS protocol. (I am not sure that the
SUBSCRIBE/NOTIFY can do that or not.)

As for the reference of PINT protocol, we implemented PINT protocols that
have
usage of telephone specific SDP body and SUBSCRIBE/NOTIFY for Click-To-Dial
service, and apply it to the ICW implementation. So I refer it PINT. Please
comment about this term.

And other parts of INAP operations, detailed SIP messages were omitted for
highlighting only the Interworking part.

If you have further comments on it, please give us it for the original
document
to be updated before June as Alec mentioned.

Thank you again Mr. Gato for the considerations.

Best regards,

Jinkyung Hwang
Korea Telecom

[email-masked] wrote:

> Hi all,
>
> First of all, I would like to thank all who had contributed to the
> Pre-SPIRITS Current Practice
> Document. I appreciate your effort sharing your experiences and ideas.
>
> I have some comments regarding the Korea Telecom's ICW Implementation.
> While it is
> very detailled, which helps the reader to understand the service, I think
> the presented
> SIP/INAP flows need further refinement.
>
> I am not an SIP expert myself, but I can see some errors in the flows (it
> may be I do not
> understand them properly), like:
>
> - wrong Cseq values,
> - wrong "To" and "Via" fields in some methods,
> - sending BYE methods after the connection to the internet has been
> released
> (in the flow where the call is accepted),
> - extra BYE in the forwarded call flows where no "200, OK" was sent,
> - some others (like ACK or 200,OK missing in some flows).
>
> By the way, I have not seen anything from PINT being used ("standard" SIP
> is used
> instead). Is there anything from PINT protocol used?.
>
> In regards to the INAP operations, I would suggest that they are
completed.
> For example:
>
> - when it is indicated that an announcement is played, a CTR and a PA
could
> be added,
> - before connecting the call to the destination, the announcement needs
to
> be stopped
> (a DFC could be used for that),
> - to detect a ERB a RRBE needs to be sent in advance. It would also nice
to
> know the
> events to be monitored.
>
> I must stress that the problems I have found in the flows are not
essential
> to understand
> the ICW architecture presented (in fact the flows are helpful). However,
I
> think that
> they should be correct so that anybody reading the document does not get
> confused.
>
> If you think it can be helpful, I can send a detailled list of the issues
I
> have. Please feel
> free to contact me.
>
> Regards,
>
> Jorge Gato
> IN & Switching Evolution
> Airtel Movil
> Spain
>
> Alec Brusilovsky <[email-masked]>@lists.bell-labs.com con fecha
> 16/05/2000 14:04:02
>
> Por favor, responda a [email-masked]
>
> Enviado por:   [email-masked]
>
> Asunto:   [SPIRITS] WG Last Call annoncement - Pre-SPIRITS Current
Practice
>           Document
>
> Dear Good Spirited listmates,
>
> The newly published I-D, that can be found at:
>
http://www.ietf.org/internet-drafts/draft-ietf-spirits-implementations-00.txt

>
> is a candidate for the Pre-SPIRITS Current Practice Informational RFC.
>
> Both Steve and I are encouraging online discussion of this document.
>
> Current Last call status is valid through June 14. After that date and
> upon reaching consensus, the resulting document will be submitted to
> IESG.
>
> Congratulations to the team of authors led by Hui-Lan Lu for the job
> well done!
>
> Regards,
> Alec
>
> _______________________________________________
> SPIRITS mailing list
> [email-masked]
> http://lists.bell-labs.com/mailman/listinfo/spirits

_______________________________________________
SPIRITS mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/spirits